- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Data Structures | Namespaces | Typedefs | Functions
index.h File Reference
`#include <af/defines.h>`
`#include <af/seq.h>`

Go to the source code of this file.

## Data Structures
struct | af_index_t
| Struct used while indexing af_array. More...
class | index
| Wrapper for af_index. More...

## Namespaces
| af

## Typedefs
typedef struct af_index_t | af_index_t
| Struct used while indexing af_array. More...

## Functions
AFAPI array | lookup (const array &in, const array &idx, const int dim=-1)
| Lookup the values of input array based on index. More...
AFAPI void | copy (array &dst, const array &src, const index &idx0, const index &idx1=span, const index &idx2=span, const index &idx3=span)
| Copy the values of an input array based on index. More...
AFAPI af_err | af_index (af_array *out, const af_array in, const unsigned ndims, const af_seq *const index)
| Lookup the values of input array based on sequences. More...
AFAPI af_err | af_lookup (af_array *out, const af_array in, const af_array indices, const unsigned dim)
| Lookup the values of input array based on index. More...
AFAPI af_err | af_assign_seq (af_array *out, const af_array lhs, const unsigned ndims, const af_seq *const indices, const af_array rhs)
| Copy and write values in the locations specified by the sequences. More...
AFAPI af_err | af_index_gen (af_array *out, const af_array in, const dim_t ndims, const af_index_t *indices)
| Indexing an array using af_seq, or af_array. More...
AFAPI af_err | af_assign_gen (af_array *out, const af_array lhs, const dim_t ndims, const af_index_t *indices, const af_array rhs)
| Assignment of an array using af_seq, or af_array. More...

## Typedef Documentation

typedef struct af_index_t af_index_t

Struct used while indexing af_array.

This struct represents objects which can be used to index into an af_array Object. It contains a union object which can be an af_seq or an af_array. Indexing with an int can be represented using a af_seq object with the same af_seq::begin and af_seq::end with an af_seq::step of 1